package cn.im.trafficalarm.model;

import cn.base.bean.BaseBean;
//[交通设备消息日志表]

public class TrafficdevicemessagelogBean extends BaseBean implements java.io.Serializable {
	private String logId;//[日志ID]
	private String messageType;//[消息类型，代码，1-WS接收；2-WS发送；3-AMQ接收；4-AMQ发送]
	private String deviceType;//[设备类型，代码，1-平台通信；2-语音提醒；3-大屏上墙；4-信息发布；5-诱导灯联动；6-声光报警；99-结束预案]
	private String deviceId;//[关联设备ID]
	private String messageSubject;//[消息主题]
	private String messageContent;//[消息内容]
	private String sendTime;//[发送时间]
	private String sendState;//[发送状态，代码，0：设备联动AMQ发送失败；1:设备联动AMQ发送成功，交通设备当前状态日志更新失败；2:设备联动AMQ发送成功，交通设备当前状态更新成功，日志写入失败；3：联动AMQ发送成功，日志写入成功。]
	private String operationType;//[操作类型，代码，1-预案执行；2-人工编辑；]
	private String operationId;//[操作主键]
	private String createAccount;//[创建人]
	private String createTime;//[创建时间]
	private String modifyAccount;//[修改人]
	private String modifyTime;//[修改时间]
	public void setLogId(String logId){
		this.logId = logId;
	}
	public String getLogId(){
		return logId;
	}
	public void setMessageType(String messageType){
		this.messageType = messageType;
	}
	public String getMessageType(){
		return messageType;
	}
	public void setDeviceType(String deviceType){
		this.deviceType = deviceType;
	}
	public String getDeviceType(){
		return deviceType;
	}
	public void setDeviceId(String deviceId){
		this.deviceId = deviceId;
	}
	public String getDeviceId(){
		return deviceId;
	}
	public void setMessageSubject(String messageSubject){
		this.messageSubject = messageSubject;
	}
	public String getMessageSubject(){
		return messageSubject;
	}
	public void setMessageContent(String messageContent){
		this.messageContent = messageContent;
	}
	public String getMessageContent(){
		return messageContent;
	}
	public void setSendTime(String sendTime){
		this.sendTime = sendTime;
	}
	public String getSendTime(){
		return sendTime;
	}
	public void setSendState(String sendState){
		this.sendState = sendState;
	}
	public String getSendState(){
		return sendState;
	}
	public void setOperationType(String operationType){
		this.operationType = operationType;
	}
	public String getOperationType(){
		return operationType;
	}
	public void setOperationId(String operationId){
		this.operationId = operationId;
	}
	public String getOperationId(){
		return operationId;
	}
	public void setCreateAccount(String createAccount){
		this.createAccount = createAccount;
	}
	public String getCreateAccount(){
		return createAccount;
	}
	public void setCreateTime(String createTime){
		this.createTime = createTime;
	}
	public String getCreateTime(){
		return createTime;
	}
	public void setModifyAccount(String modifyAccount){
		this.modifyAccount = modifyAccount;
	}
	public String getModifyAccount(){
		return modifyAccount;
	}
	public void setModifyTime(String modifyTime){
		this.modifyTime = modifyTime;
	}
	public String getModifyTime(){
		return modifyTime;
	}
}